classification
Title: test_nis is hanging on Solaris
Type: behavior Stage:
Components: Tests Versions: Python 3.1, Python 3.2
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: BreamoreBoy, barry, benjamin.peterson, donmez, loewis
Priority: critical Keywords:

Created on 2008-07-18 01:56 by benjamin.peterson, last changed 2010-09-12 13:55 by benjamin.peterson. This issue is now closed.

Messages (11)
msg69931 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-07-18 01:56
The 3.0 Solaris buildbot keeps hanging on test_nis.
msg71290 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2008-08-17 21:06
Let's disable it and add it to the release notes.  If nobody steps
forward to fix it, we'll just leave it turned off for the final release.
msg71296 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2008-08-17 22:56
Does this affect 2.6 as well?  It's hard to tell from the buildbot output.
msg71497 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-08-19 23:02
Ok. I've disabled it in r65888.
msg84078 - (view) Author: Ismail Donmez (donmez) * Date: 2009-03-24 13:24
Well the test is now skipped on _all_ platforms. This looks wrong.
msg110195 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2010-07-13 14:00
This test is still disabled in Python 2.7 and 3.1.
msg111668 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2010-07-26 21:07
I'll close this unless someone gives a good reason as to why it should be kept open.
msg113243 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2010-08-08 09:36
Closing as no response to msg111668.
msg113258 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2010-08-08 13:13
No, for all we know, it still happens.
msg116193 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2010-09-12 13:49
It should not hang anymore, since r84172/r84198. The issue was a GIL-based deadlock: the GIL was acquired and then not released in a callback function, so the next callback caused a deadlock.

The actual cause was a non-ASCII character in the NIS database which caused Unicode creation to fail in the callback.
msg116195 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2010-09-12 13:55
Thank you, Martin. Reenabled the test in r84735.
History
Date User Action Args
2010-09-12 13:55:29benjamin.petersonsetstatus: open -> closed
resolution: fixed
messages: + msg116195
2010-09-12 13:49:38loewissetmessages: + msg116193
2010-09-07 16:44:13pitrousetnosy: + loewis

versions: + Python 3.1, Python 3.2, - Python 3.0
2010-08-08 13:13:33benjamin.petersonsetstatus: closed -> open
resolution: out of date -> (no value)
messages: + msg113258
2010-08-08 09:36:37BreamoreBoysetstatus: pending -> closed
resolution: out of date
messages: + msg113243
2010-07-26 21:07:05BreamoreBoysetstatus: open -> pending

messages: + msg111668
2010-07-13 14:02:29ronaldoussorensetnosy: - ronaldoussoren
2010-07-13 14:00:45BreamoreBoysetnosy: + BreamoreBoy, ronaldoussoren
messages: + msg110195
2009-03-24 13:24:35donmezsetnosy: + donmez
messages: + msg84078
2008-08-19 23:02:54benjamin.petersonsetpriority: release blocker -> critical
messages: + msg71497
2008-08-17 22:56:21barrysetmessages: + msg71296
2008-08-17 21:06:26barrysetnosy: + barry
messages: + msg71290
2008-07-18 03:46:56barrysetpriority: deferred blocker -> release blocker
2008-07-18 01:56:32benjamin.petersoncreate